# $Id: php-pear-ole.spec 97 2004-03-11 18:31:17Z dude $
# Authority: matthias

%define php_extdir %(php-config --extension-dir)

Summary: PECL package for retrieving information regarding vast majority of file
Name: php-pecl-fileinfo
Version: 0.2
Release: 1.PU_IAS.1
License: PHP
Group: Development/Languages
URL: http://pecl.php.net/package/Fileinfo
Source0: http://pecl.php.net/get/Fileinfo-%{version}.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: php
BuildRequires: php, php-devel
# Required by phpize
BuildRequires: autoconf, automake, libtool, gcc-c++
Requires: file410

%description
This extension allows retrieval of information regarding vast majority of file.
This information may include dimensions, quality, length etc...

Additionally it can also be used to retrieve the mime type for a particular
file and for text files proper language encoding.

%prep 
%setup -n Fileinfo-%{version}


%build
# Workaround for broken phpize on 64 bits
#cat %{_bindir}/phpize | sed 's|/lib/|/%{_lib}/|g' > phpize && sh phpize
phpize
export CFLAGS="-I/usr/include/file410" LDFLAGS="-L%{_libdir}/file410"
perl -pi -e 's|include/magic.h|include/file410/magic.h|' configure
%configure
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install INSTALL_ROOT=%{buildroot}

# Drop in the bit of configuration
mkdir -p %{buildroot}%{_sysconfdir}/php.d
cat > %{buildroot}%{_sysconfdir}/php.d/fileinfo.ini << 'EOF'
; Enable fileinfo extension module
extension=fileinfo.so
EOF


%clean
rm -rf %{buildroot}


%files
%defattr(-, root, root, 0755)
%config(noreplace) %{_sysconfdir}/php.d/fileinfo.ini
%{php_extdir}/fileinfo.so


%changelog
* Mon Jan 10 2005 Josko Plazonic <plazonic@math.princeton.edu>
- first build, based on freshrpm rpm

